// Copyright 2011 The Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.apache.tapestry5.ioc;

import org.apache.tapestry5.ioc.annotations.Contribute;
import org.apache.tapestry5.ioc.services.FactoryDefaults;
import org.apache.tapestry5.ioc.services.SymbolProvider;

public class ContributedValueCoercionModule
{
    @Contribute(SymbolProvider.class)
    @FactoryDefaults
    public static void contributeValuesRequiringCoercion(MappedConfiguration<String, Object> configuration)
    {
        configuration.add("bool-true", true);
        configuration.add("bool-false", false);
        configuration.add("num-12345", 12345);
    }
}
