// Copyright 2007 The Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.apache.tapestry5.ioc.internal;

import org.apache.tapestry5.ioc.StringHolder;
import org.apache.tapestry5.ioc.annotations.InjectService;

public class MultipleConstructorsAutobuildService implements StringHolder
{
    private final StringHolder delegate;

    public MultipleConstructorsAutobuildService()
    {
        this(null);
    }

    public MultipleConstructorsAutobuildService(@InjectService("ToUpperCaseStringHolder")StringHolder delegate)
    {
        this.delegate = delegate;
    }

    @Override
    public String getValue()
    {
        return delegate.getValue();
    }

    @Override
    public void setValue(String value)
    {
        delegate.setValue(value);
    }

}
