// Copyright 2007, 2008 The Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.apache.tapestry5.beaneditor;

import org.apache.tapestry5.ioc.annotations.UseWith;
import static org.apache.tapestry5.ioc.annotations.AnnotationUseContext.*;

import java.lang.annotation.*;

/**
 * Used to explicitly set the data type used to select an editor (or display) block.  Normally, the data type is
 * determined from the type of the property (for example, property type java.lang.String would map to data type "text").
 * This annotation may be attached to a getter or setter method, or the matching field.
 *
 * @see DataTypeConstants
 */
@Target({ ElementType.FIELD, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
@UseWith({BEAN,COMPONENT,MIXIN,PAGE})
public @interface DataType
{
    String value();
}
